/// <reference types="vite/client" />
/// <reference types="@types/auth" />

declare type decimal = number;
declare type int = number;
declare type AllType = string | number | object | undefined | null;
declare const APP_SITE_URL: string;
declare const AppBuildVersion: string;
declare const AppConfig: {
	// 登录凭证 token key
	AUTH_TOKEN_KEY: string;
	// 登录用户信息 key
	AUTHED_PERSON_DATA_KEY: string;
	API_PREFIX: string;
	ONLY_LIVE: string;
	APP_LANG: string;
};
declare const AppMode: 'test' | 'production' | 'development';

declare type BasicComponentProps = {
	children?: React.ReactNode;
}
declare type BasicComponent<T> = React.FC<BasicComponentProps & T>